clc
clear

load ESTM_AlphaMEU_Dec142012.mat

dt = Estimates;

[n,m] = size(dt);

wald_all = [];


for i = 1:n
    
    id = dt(i,1);
        
    t_alpha = (dt(i,2) - 0.5)/sqrt(dt(i,3));
    
    % one-sided test
    
    pvalue_alpha = (1 - normcdf(abs(t_alpha),0,1));
        
    wald_all = [wald_all;id t_alpha pvalue_alpha];
    
    
end


