function output = ssr(pm,y,x,z,ymax,xmax,zmax)

% Compute the sum of squared residuals given the parameter values

alpha = 2/(1+exp(pm(1))); rho = 0.5/(1+exp(pm(2)));

n = length(y); out = 0;

for i = 1:n
    
    p1 = 1/xmax(i); p2 = 1/ymax(i); p3 = 1/zmax(i);

    od = demand(p1,p2,p3,alpha,rho);

    out = out + (x(i) - od(1))^2 + (y(i) - od(2))^2 + (z(i)- od(3))^2;

end

output = out;

