function output = bstrap(y,x,z,ymax,xmax,zmax,nr)

% We use the bootstrap method to compute standard erros of 
%        parameters of alpha and rho.
% nr : the number of replication

unif = 50*rand(nr,50);

talpha = []; trho = [];

for i = 1:nr    
    
    i
    
    rsam = unif(i,:);    
    ry = []; rx = []; rz = []; rymax = []; rxmax = []; rzmax = [];
    
    for j = 1:50        
        for k = 1:50
            if (((k-1) <= rsam(j))&& (rsam(j)<k)) 
                
                ry = [ry; y(k)]; rx = [rx; x(k)]; rz = [rz; z(k)];
                rymax = [rymax; ymax(k)]; rxmax = [rxmax; xmax(k)];
                rzmax = [rzmax; zmax(k)];
                
            end            
        end 
    end
    
    pm01 = [4;3];
    
    [pm1,tssr1] = fminsearch(@ssr,pm01,optimset('Display','off'),ry,rx,rz,rymax,rxmax,rzmax);
    
    pm02 = [-3;-2];
    
    [pm2,tssr2] = fminsearch(@ssr,pm02,optimset('Display','off'),ry,rx,rz,rymax,rxmax,rzmax);
    
    pm03 = [0;2];
    
    [pm3,tssr3] = fminsearch(@ssr,pm03,optimset('Display','off'),ry,rx,rz,rymax,rxmax,rzmax);
       
    tssrmin = min([tssr1 tssr2 tssr3]);
    
    if (tssr1 == tssrmin)
        
        pm = pm1; tssr = tssr1;
    
    elseif (tssr2 == tssrmin)
        
        pm = pm2; tssr = tssr2;
        
    else
        
        pm = pm3; tssr = tssr3;
    end
    
    
    alpha = 2/(1+exp(pm(1))); rho = 0.5/(1+exp(pm(2)));
    
    talpha = [talpha;alpha]; trho = [trho;rho]; 
    
end

output = [std(talpha),std(trho)];
end



