function output = CARA(x,rho)

% Evaluating the constant absolute risk aversion utility function
% x: monetary outcome
% rho: CARA coefficient

if rho < 0.000001
   
    output = x;
    
else
    
    output = -exp(-rho*x)/rho;
    
end
    
end



